```@meta
CurrentModule = Persephone
```

# Introduction

Persephone is an agent-based, socio-economic-ecological model of agricultural landscapes
in Europe under the Common Agricultural Policy (CAP).

It's aim is to investigate how policy affects farmer decision-making, and how this in turn
affects various animal species. It includes a farm submodel, a crop-growth submodel, and
an ecological submodels.

## Running the model

To run a single experiment, execute:

```
./run.jl -c <CONFIG>
```

Other commandline arguments are:

```
usage: run.jl [-c CONFIGFILE] [-s SEED] [-o OUTDIR] [-l LOGLEVEL] 
              [--version] [-h]

optional arguments:
  -c, --configfile CONFIGFILE
                        name of the configuration file
  -s, --seed SEED       inital random seed (type: Int64)
  -o, --outdir OUTDIR   location of the output directory
  -l, --loglevel LOGLEVEL
                        verbosity: "debug", "info", or "quiet"
  --version             show version information and exit
  -h, --help            show this help message and exit
```

## Model input

*TODO: describe config & map files*

*Last updated: 2023-01-06 (commit 21ea890)*  
